polyarea {secr} | R Documentation

## Area of Polygon(s)

### Description

Area of a single closed polygon (simple x-y coordinate input) or of multiple polygons, possibly with holes.

### Usage

    polyarea(xy, ha = TRUE)

### Arguments

`xy` | dataframe or list with components ‘x’ and ‘y’, or a SpatialPolygons or SpatialPolygonsDataFrame object from package sp
`ha` | logical if TRUE output is converted from square metres to hectares

### Details

For SpatialPolygons or SpatialPolygonsDataFrame objects, the packages sp and rgeos are used.

### Value

A scalar.

### See Also

`buffer.contour`

### Examples

    polyarea(make.grid(hollow = TRUE))

[Package secr version 3.2.1 Index]